[![npm](https://img.shields.io/npm/v/@kredits/ipfs-pinner.svg)](https://www.npmjs.com/package/@kredits/ipfs-pinner)

# Kredits IPFS Pinner

This tool pins the IPFS documents of a Kredits organization on any IPFS node.

## Usage

Make sure you have a local IPFS node running. (See `--help` for custom IPFS
config flags, in case it is not running on localhost with default ports.)

### With NPX magic

    npx @kredits/ipfs-pinner

### Global install

    npm install -g @kredits/ipfs-pinner
    kredits-ipfs-pinner

### From repo

Clone the Git repository, then use npm scripts from its root directory.

    npm start

Or with debug output:

    npm run debug

### CLI options

Display progress bars:

    kredits-ipfs-pinner --progress

Or with npm:

    npm start -- --progress

Keep running and watch for new data/documents:

    kredits-ipfs-pinner --watch

Multiple options at once:

    kredits-ipfs-pinner --progress --watch
